<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_PURCH_ORDERS_INQ';
$path_to_root="../..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");

include_once($path_to_root . "/imports/includes/db/import_po_inquiry_db.inc");
include_once($path_to_root . "/reporting/includes/reporting.inc");
if (!@$_GET['popup'])
{
	$js = "";
	if ($SysPrefs->use_popup_windows)
		$js .= get_js_open_window(900, 500);
	if (user_use_date_picker())
		$js .= get_js_date_picker();
	page(_($help_context = "Import Purchase Orders Inquiry"), false, false, "", $js);
}
if (isset($_GET['order_number']))
{
	$order_number = $_GET['order_number'];
}

//-----------------------------------------------------------------------------------
// Ajax updates
//
if (get_post('SearchOrders')) 
{
	$Ajax->activate('orders_tbl');
} elseif (get_post('_order_number_changed')) 
{
	$disable = get_post('order_number') !== '';

	$Ajax->addDisable(true, 'OrdersAfterDate', $disable);
	$Ajax->addDisable(true, 'OrdersToDate', $disable);
	$Ajax->addDisable(true, 'StockLocation', $disable);
	$Ajax->addDisable(true, '_SelectStockFromList_edit', $disable);
	$Ajax->addDisable(true, 'SelectStockFromList', $disable);

	if ($disable) {
		$Ajax->addFocus(true, 'order_number');
	} else
		$Ajax->addFocus(true, 'OrdersAfterDate');

	$Ajax->activate('orders_tbl');
}
//---------------------------------------------------------------------------------------------


//---------------------------------------------------------------------------------------------
if (isset($_POST['order_number']))
{
	$order_number = $_POST['order_number'];
}

if (isset($_POST['SelectStockFromList']) &&	($_POST['SelectStockFromList'] != "") &&
	($_POST['SelectStockFromList'] != ALL_TEXT))
{
 	$selected_stock_item = $_POST['SelectStockFromList'];
}
else
{
	unset($selected_stock_item);
}

//---------------------------------------------------------------------------------------------
function trans_view($trans)
{
	return get_imports_trans_view_str(ST_IMPORT_PURCHORDER, $trans["order_no"]);
}

function edit_link($row) 
{
	if (@$_GET['popup'])
		return '';
    
    if(!($row['approval_status'] == AS_NEW || $row['approval_status'] == AS_WITH_THE_APPROVER || 
            $row['approval_status'] == AS_AWAITING_APPROVAL || $row['approval_status'] == AS_BACK_TO_ORIGINATOR || 
            $row['approval_status'] == AS_REOPENED)){
        return '';
    }
    
    $home_curr = get_company_pref('curr_default');
    if($home_curr == $row['curr_code']){
  	return pager_link( _("Edit"),"/purchasing/po_entry_items.php?" . SID . "ModifyOrderNumber=" . $row["order_no"], ICON_EDIT);
    }
    else{
        return pager_link( _("Edit"),"/imports/import_purchase_orders.php?" . SID . "SCPO_No=" . $row["order_no"], ICON_EDIT);
    }
}

function prt_link($row)
{
	if($row['approval_status'] == 'A'){
            return print_document_link($row['order_no'], _("Print"), true, 18, ICON_PRINT);
        }
        else{
            return null;
        }
}

function status_name($row)
{
    global $approval_statuses;
    
    return $approval_statuses[$row["approval_status"]];
}

function order_type($row)
{
    global $systypes_array;
    
    return $systypes_array[$row["type"]];
}
//---------------------------------------------------------------------------------------------

if (!@$_GET['popup'])
	start_form();

start_table(TABLESTYLE_NOBORDER);
start_row();
ref_cells(_("#:"), 'order_number', '',null, '');
ref_cells(_("Reference:"), 'reference', '',null, '');
date_cells(_("from:"), 'OrdersAfterDate', '', null, -30);
date_cells(_("to:"), 'OrdersToDate');


end_row();
end_table();

start_table(TABLESTYLE_NOBORDER);
start_row();
locations_list_cells(_("into location:"), 'StockLocation', null, '');
project_list_cells("Project:", "project_id", null, '');
other_currency_suppliers_list_cells("Supplier", "supplier_id", null, '');

submit_cells('SearchOrders', _("Search"),'',_('Select documents'), 'default');
end_row();
end_table(1);


$sql = get_sql_for_import_po_inquiry();

$cols = array(
		_("#") => array('fun'=>'trans_view', 'ord'=>''), 
		_("Reference"),
		_("Supplier") => array('ord'=>''),
                _("Currency") => array('align'=>'center'), 
                _("Project Description"), 
		_("Location"),
		_("Supplier's Reference"), 
		_("Order Date") => array('name'=>'ord_date', 'type'=>'date', 'ord'=>'desc'),
		
		_("Order Total") => 'amount',
        _("Status") => array('fun'=>'status_name', 'align' => 'center'), 
		array('insert'=>true, 'fun'=>'edit_link'),
		array('insert'=>true, 'fun'=>'prt_link'),
);

if (get_post('StockLocation') != $all_items) {
	$cols[_("Location")] = 'skip';
}
//---------------------------------------------------------------------------------------------------

$table =& new_db_pager('orders_tbl', $sql, $cols);

$table->width = "90%";

display_db_pager($table);

if (!@$_GET['popup'])
{
	end_form();
	end_page();
}	
?>
